Subject: Re: [Change] Git build issue on NonStop

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Sep 2025 07:47:33 -0700

Patrick Steinhardt <[email-masked]> writes:

> One thing I missed: `uintmax_t` doesn't work on 32 bit systems:
>
>     ::error file=clar.c,line=879::clar.c:879:8: cast from pointer to integer of different size [-Werror=pointer-to-int-cast]
>       879 |        (uintmax_t)p1, (uintmax_t)p2);
>           |        ^
>
> I'm inclined to just use "%p" instead and accept that this has
> platform-dependent behaviour. Means we'll have to drop the test for
> this, but that's the lesser evil from my point of view.

As long as %p works everywhere and with stable output, that is the
most appropriate solution, I would think.  After all, this is used
only for "oops, the test expects these two pointers are pointing at
the same address, but they differ; they point at these places...".

To test such a test, wouldn't it be sufficient to perform "does it
give a bit of output or not?" check in isolation?